> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cope.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an offer



## OpenAPI

````yaml /api-reference/commerce-v1.openapi.json get /v1/commerce/offers/{id}
openapi: 3.0.3
info:
  description: >-
    Public REST API for COPE vendor integrations. Authenticate with a COPE API
    key or Clerk bearer token and call the endpoints described below.
  title: COPE Public API
  version: v1
servers:
  - description: Production
    url: https://api.cope.com
security:
  - cope_sk: []
paths:
  /v1/commerce/offers/{id}:
    get:
      tags:
        - Offers
      summary: Retrieve an offer
      operationId: retrieveCommerceOffer
      parameters:
        - description: id public identifier.
          example: off_A1b2C3d4E5f6G7h8
          in: path
          name: id
          required: true
          schema:
            example: off_A1b2C3d4E5f6G7h8
            pattern: ^off_[A-Za-z0-9]{16}$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  data:
                    additionalProperties: false
                    properties:
                      buyer_profile:
                        additionalProperties: false
                        properties:
                          address:
                            additionalProperties: false
                            properties:
                              city:
                                type: string
                              line1:
                                type: string
                              line2:
                                nullable: true
                                type: string
                              postal_code:
                                type: string
                            required:
                              - city
                              - line1
                              - line2
                              - postal_code
                            type: object
                          company_name:
                            nullable: true
                            type: string
                          country:
                            type: string
                          email:
                            type: string
                          first_name:
                            type: string
                          last_name:
                            type: string
                          locale:
                            type: string
                          state:
                            type: string
                          type:
                            type: string
                          vat_id:
                            nullable: true
                            type: string
                        required:
                          - type
                          - email
                          - state
                          - locale
                          - vat_id
                          - address
                          - country
                          - last_name
                          - first_name
                          - company_name
                        type: object
                      cancelled_at:
                        nullable: true
                        type: string
                      cancelled_reason:
                        nullable: true
                        type: string
                      created_at:
                        type: string
                      expires_at:
                        type: string
                      id:
                        example: off_A1b2C3d4E5f6G7h8
                        pattern: ^off_[A-Za-z0-9]{16}$
                        type: string
                      last_buyer_notification_at:
                        nullable: true
                        type: string
                      next_resend_available_at:
                        nullable: true
                        type: string
                      order:
                        additionalProperties: false
                        nullable: true
                        properties:
                          id:
                            example: ord_A1b2C3d4E5f6G7h8
                            pattern: ^ord_[A-Za-z0-9]{16}$
                            type: string
                        required:
                          - id
                        type: object
                      ordered_at:
                        nullable: true
                        type: string
                      product:
                        additionalProperties: false
                        nullable: true
                        properties:
                          id:
                            example: prd_A1b2C3d4E5f6G7h8
                            pattern: ^prd_[A-Za-z0-9]{16}$
                            type: string
                          name:
                            type: string
                        required:
                          - id
                          - name
                        type: object
                      public_url:
                        type: string
                      regeneration_eligible:
                        type: boolean
                      status:
                        type: string
                    required:
                      - buyer_profile
                      - cancelled_at
                      - cancelled_reason
                      - created_at
                      - expires_at
                      - id
                      - last_buyer_notification_at
                      - next_resend_available_at
                      - order
                      - ordered_at
                      - product
                      - public_url
                      - regeneration_eligible
                      - status
                    type: object
                required:
                  - data
                type: object
          description: Successful response
        '400':
          content:
            application/problem+json:
              examples:
                invalid_request:
                  summary: Invalid request
                  value:
                    code: invalid_request
                    detail: null
                    errors:
                      - code: missing
                        detail: 'param is missing or the value is empty: product_id'
                        param: product_id
                    request_id: req_123
                    status: 400
                    title: Invalid Request
                    type: https://docs.cope.com/errors/invalid_request
              schema:
                $ref: '#/components/schemas/PublicProblemDetail'
          description: Invalid request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/PublicProblemDetail'
          description: Missing or invalid bearer token
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/PublicProblemDetail'
          description: Bearer token is not authorized for this route
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/PublicProblemDetail'
          description: Resource not found
      security:
        - cope_sk: []
components:
  schemas:
    PublicProblemDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        detail:
          nullable: true
          type: string
        errors:
          items:
            additionalProperties: false
            properties:
              code:
                type: string
              detail:
                type: string
              param:
                type: string
            required:
              - code
              - detail
            type: object
          type: array
        request_id:
          type: string
        status:
          type: integer
        title:
          type: string
        type:
          type: string
      required:
        - type
        - title
        - status
        - code
        - request_id
      type: object
  securitySchemes:
    cope_sk:
      description: >-
        Bearer credential for the public API. Vendor integrations should send a
        live COPE API key (`cope_sk_live_*`). Clerk bearer tokens are also
        accepted when paired with `X-Cope-Business-Id`.
      scheme: bearer
      type: http

````